require 'jiraSOAP'
require 'savon'

Savon.configure do |config|
  config.log = false     
  config.log_level = :info
end 

class Jira

  ServiceURI = #you_jira_address
  ServiceWSDL = "#{ServiceURI}/rpc/soap/jirasoapservice-v2?wsdl"
  UserName = #your_user_name
  Password = #your_password
  DefaultProject = #your_default_project

  def self.add_work(task_key, time_spent, comment, go_back_in_days = 0)
     task_key = "#{DefaultProject}-#{task_key}" unless task_key.to_s.upcase =~ /^[A-Z]+-[0-9]+$/
     go_back_in_days = go_back_in_days.to_i
     result = false
     begin
       db = JIRA::JIRAService.new ServiceURI
       db.login UserName, Password
       client = Savon::Client.new ServiceWSDL
       response = client.request 'addWorklogAndRetainRemainingEstimate'  do
         soap.body = {
           :in0 => db.auth_token,
           :in1 => task_key,
           :in2 =>  { :timeSpent => time_spent, :comment => comment , :startDate => DateTime.now - go_back_in_days }
         }
       end
       result = true
     rescue
       print $!
       result = false
     end
     return result
   end

end

